Supporto » Installazione e Aggiornamento » Aggiornamento 4.7.3 da versione molto vecchia – sito down

  • Risolto utentewordpress

    (@utentewordpress)


    Ciao a tutti,
    ho appena aggiornato alla versione 4.7.3 su una versione molto vecchia (credo di 3 anni fa).
    Risultato: sito down e non riesco neanche più ad accedere al pannello di controllo.

    L’errore che mi riporta (anche collegandomi al pannello di controllo) è il seguente:

    Fatal error: Cannot redeclare has_shortcode() (previously declared in /home/studiodm/www/wp-includes/shortcodes.php:166) in /home/studiodm/www/wp-content/themes/heat_1.3/functions.php on line 1554

    prima di aggiornare ho fatto il backup di Mysql ma non dell’intero sito.

    Ho scritto all’autore del template ma ancora non ha risposto.
    Possiedo ancora il template originale di quando l’ho acquistato (4 anni fa).
    Sto facendo ora il backup dell’intero sito via ftp… ma credo che ormai sia un’azione piuttosto inutile.

    mi aiutate?

Stai visualizzando 3 risposte - dal 1 al 3 (di 3 totali)
  • Gloria Liuni

    (@glorialchemica)

    Ciao @utentewordpress,
    prima di eseguire degli aggiornamenti è sempre buona norma effettuare backup di sito e database

    Detto questo, visto che almeno il database e il tema ci sono, puoi provare a scaricare e installare la versione di WordPress che stavi utilizzando. Qui c’è l’archivio di tutte le release di WP.

    Installa il vecchio DB (meglio su uno spazio vuoto), carica i file della vecchia release e configura il wp-config.php in modo che punti al db che hai appena creato.
    Ti consiglio di procedere con il tema di default di wordpress al momento.
    Vedi che succede…
    Se tutto dovesse andare bene fai subito un backup e poi procedi ad aggiornare manualmente WP senza fare enormi salti di release sempre con uno dei temi base.
    Se il tema in uso è stato aggiornato negli anni, prova alla fine a installarlo, altrimenti ti consiglio di sceglierne uno nuovo.

    Facci sapere 🙂

    Thread Starter utentewordpress

    (@utentewordpress)

    ciao!

    il tema per fortuna è stato mantenuto aggiornato dal suo creatore che mi ha consigliato di installarlo manualmente tramite ftp.
    nel frattempo il service provider mi ha fatto notare che la versione di php era obsoleta ed ho aggiornato anche quella.

    per l’errore sullo shortcode ho seguito queste istruzioni:
    http://stackoverflow.com/questions/22130446/updated-wordpress-cannot-redeclare-has-shortcode-error-is-thrown

    al momento sono riuscito a rientrare almeno nel pannello di controllo di WP… il che non è male, anche se il sito zoppica ed alcune pagine sono “not found”.
    ora proverò a risollevare tutti i plugin internamente e vedo se risolvo.

    grazie mille per ora !

    Gloria Liuni

    (@glorialchemica)

    Bene, sono contenta per te 🙂

Stai visualizzando 3 risposte - dal 1 al 3 (di 3 totali)
  • Il topic ‘Aggiornamento 4.7.3 da versione molto vecchia – sito down’ è chiuso a nuove risposte.